Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: [OMPI devel] RFC: Upgrade trunk to AC 2.69
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2012-05-01 16:27:30


WHAT: Upgrade the SVN trunk Autoconf requirement to AC 2.69 (just released last week)

WHY: Some of our Fortran configury is now officially supported

WHERE: ompi/config/*.m4

TIMEOUT: Teleconf, Tuesday 8 May 2012

---------------------

More detail:

Some of the configury that we have written in our own m4 is now officially supported by Autoconf 2.69. Specifically, there's some new Fortran AC macros in 2.69 that do some of the things that we are doing by hand in m4. It would be nice to get rid of our own m4 and replace it with officially-supported Autoconf m4 macros.

This is a *developer only* issue, meaning that users who just "./configure && make install" won't be affected.

But all developers will need to upgrade to AC 2.69 -- autogen.pl will fail otherwise.

The main issue driving the timing here is that the Fortran stuff is still fresh in my brain. We certainly could defer the switch indefinitely, but the longer this later, the more stale all this new fortran stuff will get in my head (i.e., we'll keep using our own kludgey m4).

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/